javax.xml.registry

## Interface JAXRResponse

- All Known Subinterfaces:
    BulkResponse
  All Known Implementing Classes:
    DeleteException, FindException, InvalidRequestException, JAXRException, RegistryException, SaveException, UnexpectedObjectException, UnsupportedCapabilityException

      public interface JAXRResponse

  A JAXR requests' response.
  Author:
    Farrukh S. Najmi
  See Also:
    `JAXRException`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATUS_FAILURE` Status indicating a failure response.
    `static int` | `STATUS_SUCCESS` Status indicating a successful response.
    `static int` | `STATUS_UNAVAILABLE` Status indicating that the results are currently unavailable.
    `static int` | `STATUS_WARNING` Status indicating a successful response that included at least one warning.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRequestId()` Returns the unique id for the request that generated this response.
    `int` | `getStatus()` Returns the status for this response.
    `boolean` | `isAvailable()` Returns true if a response is available, false otherwise.

- - ### Field Detail

    - #### STATUS_SUCCESS

          static final int STATUS_SUCCESS

      Status indicating a successful response.
      See Also:
        Constant Field Values

    - #### STATUS_WARNING

          static final int STATUS_WARNING

      Status indicating a successful response that included at least one warning.
      See Also:
        Constant Field Values

    - #### STATUS_FAILURE

          static final int STATUS_FAILURE

      Status indicating a failure response.
      See Also:
        Constant Field Values

    - #### STATUS_UNAVAILABLE

          static final int STATUS_UNAVAILABLE

      Status indicating that the results are currently unavailable.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRequestId

          String getRequestId()
                              throws JAXRException

      Returns the unique id for the request that generated this response.

      Capability Level: 0
      Returns:
        the request id
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getStatus

          int getStatus()
                        throws JAXRException

      Returns the status for this response.

      Capability Level: 0
      Returns:
        the status which is an integer enumerated value
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `STATUS_SUCCESS`

    - #### isAvailable

          boolean isAvailable()
                              throws JAXRException

      Returns true if a response is available, false otherwise. This is a polling method and must not block.

      Capability Level: 0
      Returns:
        `true` if the response is available; `false` otherwise
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.